org.tmatesoft.svn.core.wc2

## Class SvnSetWCDbVersion

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Void>
  - - org.tmatesoft.svn.core.wc2.SvnSetWCDbVersion

- All Implemented Interfaces:
    ISvnOperationOptionsProvider

      public class SvnSetWCDbVersion
      extends SvnOperation<java.lang.Void>

  Version:
    1.8
  Author:
    TMate Software Ltd.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `WC_DB_17_VERSION`
    `static int` | `WC_DB_18_VERSION`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnSetWCDbVersion(SvnOperationFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `ensureArgumentsAreValid()`
    `int` | `getVersion()`
    `protected void` | `initDefaults()`
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `java.lang.Void` | `run()` Executes the operation.
    `void` | `setVersion(int version)`

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMaximumTargetsCount, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WC_DB_17_VERSION

          public static final int WC_DB_17_VERSION

      See Also:
        Constant Field Values

    - #### WC_DB_18_VERSION

          public static final int WC_DB_18_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SvnSetWCDbVersion

          protected SvnSetWCDbVersion(SvnOperationFactory factory)

  - ### Method Detail

    - #### setVersion

          public void setVersion(int version)

    - #### getVersion

          public int getVersion()

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Description copied from class: `SvnOperation`
      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<java.lang.Void>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`

    - #### run

          public java.lang.Void run()
                             throws SVNException

      Description copied from class: `SvnOperation`
      Executes the operation.
      Overrides:
        `run` in class `SvnOperation<java.lang.Void>`
      Returns:
        result depending on operation type
      Throws:
        `SVNException`

    - #### initDefaults

          protected void initDefaults()

      Overrides:
        `initDefaults` in class `SvnOperation<java.lang.Void>`

    - #### ensureArgumentsAreValid

          protected void ensureArgumentsAreValid()
                                          throws SVNException

      Overrides:
        `ensureArgumentsAreValid` in class `SvnOperation<java.lang.Void>`
      Throws:
        `SVNException`